#import "AppDelegate.h"
#import "AddressEx.h"

//AppDelegateの実装
@implementation AppDelegate 

//プロパティの実装
@synthesize window=_window;

//アプリ起動時に呼ばれる
- (BOOL)application:(UIApplication*)application 
    didFinishLaunchingWithOptions:(NSDictionary*)launchOptions {
    //ウィンドウの生成
    _window=[[UIWindow alloc] initWithFrame:[[UIScreen mainScreen] bounds]];
    [_window makeKeyAndVisible];
    
    //ビューコントローラの生成
    UIViewController* viewCtl=[[[AddressEx alloc] init] autorelease];
    _window.rootViewController=viewCtl;
    return YES;
}

//フォアグラウンド遷移時のアドレス帳更新(6)
- (void)applicationWillEnterForeground:(UIApplication*)application {
    [(AddressEx*)_window.rootViewController readAddress];
}

//メモリの解放
- (void)dealloc {
    [_window release];
    [super dealloc];
}
@end
